: Class ServerStructure

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## grendel.prefs.base
Class ServerStructure

    java.lang.Object
      |
      +--grendel.prefs.base.ServerStructure

public class ServerStructure
extends java.lang.Object

Constructor Summary
`ServerStructure()`
`ServerStructure(java.lang.String aDescription)`

Method Summary
`java.lang.String` | `getBerkeleyDirectory()`
`int` | `getDefaultIdentity()`
`java.lang.String` | `getDescription()`
`java.lang.String` | `getHost()`
`java.lang.String` | `getPassword()`
`boolean` | `getPOP3LeaveMailOnServer()`
`boolean` | `getPOP3ShowAsImap()`
`int` | `getPort()`
`java.lang.String` | `getType()`
`java.lang.String` | `getUsername()`
`void` | `setBerkeleyDirectory(java.lang.String aBerkeleyDirectory)`
`void` | `setDefaultIdentity(int aDefaultIdentity)`
`void` | `setDescription(java.lang.String aDescription)`
`void` | `setHost(java.lang.String aHost)`
`void` | `setPassword(java.lang.String aPassword)`
`void` | `setPOP3LeaveMailOnServer(boolean aPOP3LeaveMailOnServer)`
`void` | `setPOP3ShowAsImap(boolean aPOP3ShowAsImap)`
`void` | `setPort(int aPort)`
`void` | `setType(java.lang.String aType)`
`void` | `setUsername(java.lang.String aUsername)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServerStructure

    public ServerStructure()

### ServerStructure

    public ServerStructure(java.lang.String aDescription)

Method Detail

### getDescription

    public java.lang.String getDescription()

### getHost

    public java.lang.String getHost()

### getPort

    public int getPort()

### getType

    public java.lang.String getType()

### getUsername

    public java.lang.String getUsername()

### getPassword

    public java.lang.String getPassword()

### getDefaultIdentity

    public int getDefaultIdentity()

### getBerkeleyDirectory

    public java.lang.String getBerkeleyDirectory()

### getPOP3LeaveMailOnServer

    public boolean getPOP3LeaveMailOnServer()

### getPOP3ShowAsImap

    public boolean getPOP3ShowAsImap()

### setDescription

    public void setDescription(java.lang.String aDescription)

### setHost

    public void setHost(java.lang.String aHost)

### setPort

    public void setPort(int aPort)

### setType

    public void setType(java.lang.String aType)

### setUsername

    public void setUsername(java.lang.String aUsername)

### setPassword

    public void setPassword(java.lang.String aPassword)

### setDefaultIdentity

    public void setDefaultIdentity(int aDefaultIdentity)

### setBerkeleyDirectory

    public void setBerkeleyDirectory(java.lang.String aBerkeleyDirectory)

### setPOP3LeaveMailOnServer

    public void setPOP3LeaveMailOnServer(boolean aPOP3LeaveMailOnServer)

### setPOP3ShowAsImap

    public void setPOP3ShowAsImap(boolean aPOP3ShowAsImap)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD